Retrieve token exchange UAA client credentials
Returns the token_exchange_api_access UAA client name, secret, and connection details.
Tiles and other consumers use these credentials to perform RFC 8693 token exchange against
this foundation's UAA.
Version detection: Older Ops Manager versions that do not support token exchange do not
have this route and will return 404. A 200 response indicates the current version
supports token exchange. The client secret is always present; whether token exchange trust
has been configured with a Hub UAA is a separate concern available from
GET /api/v0/uaa/token_exchange_trust.
This endpoint is accessible to all authenticated users, including restricted viewers.
OK
{
"token_exchange_client": {
"uaa_client_name": "string",
"uaa_client_secret": "string",
"hostname": "string",
"port": 0
}
}
token_exchange_client
Setup is not completed
{
"errors": {
"errors": [
"string"
]
}
}
errors
Unauthorized
{
"errors": {
"errors": [
"string"
]
}
}
errors
curl -H 'Authorization: <value>' https://{api_host}/api/v0/uaa/token_exchange_client